Play Stream - Export Players In Segment
Starts an export for the player profiles in a segment. This API creates a snapshot of all the player profiles which match the segment definition at the time of the API call. Profiles which change while an export is in progress will not be reflected in the results.
POST https://titleId.playfabapi.com/Admin/ExportPlayersInSegment
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-SecretKey | True |
string |
This API requires a title secret key, available to title admins, from PlayFab Game Manager. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| SegmentId | True |
string |
Unique identifier of the requested segment. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-SecretKey
This API requires a title secret key, available to title admins, from PlayFab Game Manager.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Export |
Request must contain the Segment ID |
|
Export |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
ExportPlayersInSegmentRequest
Request must contain the Segment ID
| Name | Type | Description |
|---|---|---|
| SegmentId |
string |
Unique identifier of the requested segment. |
ExportPlayersInSegmentResult
| Name | Type | Description |
|---|---|---|
| ExportId |
string |
Unique identifier of the export for the requested Segment. |
| SegmentId |
string |
Unique identifier of the requested Segment. |
Error Codes
| Name | Code |
|---|---|
| AsyncExportNotInFlight | 10011 |
| AsyncExportRateLimitExceeded | 10013 |
| ExportUnknownError | 5013 |
| InvalidSegment | 1242 |
| ProductDisabledForTitle | 1609 |
| SegmentNotFound | 1220 |